<?php

//禁止直接访问
!defined('IN_SYSTEM') && exit('Access Denied');

//生成input_key
$_SESSION['SiteinfoInputKey'] = generate_rand_string(50);
//将input_key赋值给模板
$smarty->assign('SiteinfoInputKey', $_SESSION['SiteinfoInputKey']);

//读取程序模板目录
$template_dir = scandir(SITE_DIR."templates/");

//创建数组变量用于存放模板目录名称
$tpldirarr = array();

//将模板文件夹名称存放在数组中
foreach($template_dir as $v){
	if($v !== '.' && $v !== '..'){
		if(is_dir(SITE_DIR."templates/".$v)){
			$tpl_list['name'] = $v;
			$tpl_list['dir'] = "templates/".$v;
			array_push($tpldirarr, $tpl_list);
		}
	}
}

//将程序模板目录名称列表赋值给模板
$smarty->assign('tpldirarr', $tpldirarr);

?>